## org.eclipse.datatools.connectivity.sqm.core.containment
Class AbstractContainmentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider

    public abstract class AbstractContainmentProvider

extends java.lang.Object

Constructor Summary
`AbstractContainmentProvider()`

Method Summary
`java.util.Collection` `getContainedElements(EObject obj)`
`EObject` `getContainer(EObject obj)`
`EStructuralFeature` `getContainmentFeature(EObject obj)`
`boolean` `isDisplayableElement(EObject obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractContainmentProvider

    public AbstractContainmentProvider()

Method Detail

### getContainedElements

    public java.util.Collection getContainedElements(EObject obj)

### isDisplayableElement

    public boolean isDisplayableElement(EObject obj)

### getContainer

    public EObject getContainer(EObject obj)

### getContainmentFeature

    public EStructuralFeature getContainmentFeature(EObject obj)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.